name:                 ghc-boot-th
version:              9.10.1
visibility:           public
id:                   ghc-boot-th-9.10.1-inplace
key:                  ghc-boot-th-9.10.1-inplace
license:              BSD-3-Clause
maintainer:           ghc-devs@haskell.org
synopsis:
    Shared functionality between GHC and the @template-haskell@
    library

description:
    This library contains various bits shared between the @ghc@ and
    @template-haskell@ libraries.

    This package exists to ensure that @template-haskell@ has a
    minimal set of transitive dependencies, since it is intended to
    be depended upon by user code.

category:             GHC
abi:                  a81aeadbafc5af82ff7568a46c69c20f
exposed:              True
exposed-modules:
    GHC.ForeignSrcLang.Type GHC.LanguageExtensions.Type GHC.Lexeme

import-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/ghc-boot-th-9.10.1-inplace

library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/ghc-boot-th-9.10.1-inplace

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/ghc-boot-th-9.10.1-inplace

dynamic-library-dirs: ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1
data-dir:
    ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/ghc-boot-th-9.10.1

hs-libraries:         HSghc-boot-th-9.10.1-inplace
depends:              base-4.20.0.0-inplace
haddock-interfaces: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/ghc-boot-th-9.10.1-inplace/ghc-boot-th.haddock"


haddock-html: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/ghc-boot-th-9.10.1-inplace"

